delete from report_sql
where computer={?COMPUTER};

--prejem naroila
insert into report_sql (computer, num10, Str5, Str6, Str7, Str8, Str10, STR12, NUM20) 
SELECT {?COMPUTER}, NRC.IDNRC, NRC.SFNRC, NRC.SFNRCTCJ, NRC.SFNRCTRM, NRC.SFNRCPGJ, NRC.SFNRCPRJ, TRG.SFDRZTRG, 1
FROM NRC NRC LEFT OUTER JOIN TRG TRG ON NRC.SFTRG=TRG.SFTRG, POG
WHERE NRC.DAN >= {?DANOD} and
       NRC.DAN <= {?DANDO} and
       NRC.IDPOG = POG.IDPOG and
       (NRC.SFPSNR IS NULL OR SFPSNR='P') AND
       POG.sfdjv IN ('N', 'U') and
       POG.KRTKDD not in (select skuprac from skuprac)
?and NRC.IDNRC = {?IDNRC} 
?and NRC.IDPOG = {?IDPOG}
;

--stornirana naroila
insert into report_sql (computer, num10, Str5, Str6, Str7, Str8, Str10, STR12, NUM20) 
SELECT {?COMPUTER}, NRC.IDNRC, NRC.SFNRC, NRC.SFNRCTCJ, NRC.SFNRCTRM, NRC.SFNRCPGJ, NRC.SFNRCPRJ, TRG.SFDRZTRG, 2
FROM NRC NRC LEFT OUTER JOIN TRG TRG ON NRC.SFTRG=TRG.SFTRG, POG
WHERE NRC.DAN >= {?DANOD} and
       NRC.DAN <= {?DANDO} and
       NRC.IDPOG = POG.IDPOG and
       (NRC.SFPSNR IS NULL OR SFPSNR='P') AND
       NRC.SFSNR IN ('S','s') and
       POG.sfdjv IN ('N', 'U') and
       POG.KRTKDD not in (select skuprac from skuprac)
?and NRC.IDNRC = {?IDNRC} 
?and NRC.IDPOG = {?IDPOG}
;

--spremenjena naroila
insert into report_sql (computer, num10, Str5, Str6, Str7, Str8, Str10, STR12, NUM20) 
SELECT {?COMPUTER}, NRC.IDNRC, NRC.SFNRC, NRC.SFNRCTCJ, NRC.SFNRCTRM, NRC.SFNRCPGJ, NRC.SFNRCPRJ, TRG.SFDRZTRG, 3
FROM NRC NRC LEFT OUTER JOIN TRG TRG ON NRC.SFTRG=TRG.SFTRG, POG
WHERE NRC.DAN >= {?DANOD} and
       NRC.DAN <= {?DANDO} and
       NRC.IDPOG = POG.IDPOG and
       (NRC.SFPSNR IS NULL OR SFPSNR='P') AND
       NRC.SFSNR = 'C' and
       POG.sfdjv IN ('N', 'U') and
       POG.KRTKDD not in (select skuprac from skuprac)
?and NRC.IDNRC = {?IDNRC} 
?and NRC.IDPOG = {?IDPOG}
;

update report_sql
set
STR1=(select NZV from SIF where SSF='NRC' and sif=Str5),
STR2=(select NZV from SIF where SSF='NRCTCJ' and sif=Str6),
STR3=(select NZV from SIF where SSF='NRCTRM' and sif=Str7),
STR4=(select NZV from SIF where SSF='NRCPGJ' and sif=Str8),
STR9=(select NZV from SIF where SSF='NRCPRJ' and sif=Str10)
where computer={?COMPUTER};

update report_sql
set 
str2='OMEJENO',
str4='Iceberg'
where str6='I'
and computer={?COMPUTER};

UPDATE REPORT_SQL
SET NUM1=0
WHERE COMPUTER={?COMPUTER};

update report_sql
set NUM1=1 
WHERE (STR6='p' OR STR6='P')
AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL
SET STR11='T'
WHERE COMPUTER={?COMPUTER} AND (STR12 IS NOT NULL) AND (STR12<>'S');

UPDATE REPORT_SQL
SET STR11='D'
WHERE COMPUTER={?COMPUTER} AND (STR11 IS NULL) AND (STR12 IS NULL OR STR12='S');

--UTC asi naroila
UPDATE REPORT_SQL
SET (STR13, STR14, STR15, STR16, STR17)=(SELECT 
       TO_CHAR(IBI_LocalToUTC(nrc.prj), 'DD.MM.YYYY HH24:MI:SS') as izrocitev_utc, --STR13
       TO_CHAR(IBI_LocalToUTC(nrc.spr), 'DD.MM.YYYY HH24:MI:SS') as prejem_utc, --STR14
       TO_CHAR(IBI_LocalToUTC(nrc.nrcsprejem), 'DD.MM.YYYY HH24:MI:SS') as sprejem_utc, --STR15
       TO_CHAR(IBI_LocalToUTC(nrc.stn), 'DD.MM.YYYY HH24:MI:SS') as storno_utc, --STR16
       TO_CHAR(IBI_LocalToUTC(nrc.izrtb), 'DD.MM.YYYY HH24:MI:SS') as posredovanje_utc --STR17
       FROM NRC WHERE IDNRC=REPORT_SQL.NUM10)
WHERE COMPUTER={?COMPUTER}
;
