DELETE FROM REPORT_SQL WHERE Computer={?Computer};

insert into report_sql (computer, num1, date1, date2, date3, num2, num3, num4, num5)
(select {?Computer}, pog.idpog, pod.dan as danod, {?DanDO}, {?DanOD}, --num1, date1, date2, date3
       nvl(pod.glv+pod.obr,0) as stanje_od, nvl(pdo.glv+pdo.obr,0) as stanje_do, --num2, num3
       pod.vpl vpl_od, pdo.vpl vpl_do --num4, num5
from pog
join ptfhst pod on pod.idpog=pog.idpog
join ptfhst pdo on pdo.idpog=pog.idpog
where pog.sfdjv='U'
and pod.dan=nvl((select min(dan) from ptfhst where vpl<>0 and idpog=pog.idpog and dan>={?DanOD}),{?DanOD})
and pdo.dan={?DanDO}
?and pog.idpog={?IdPog}
)
;


update report_sql set num6=(SELECT   (SELECT   ROUND ( (aggzmnozek (1 + p.dnevnadonosnost /
100) - 1) * 100, 2)
            FROM   v_dnevnadonosnost_probanka p
           WHERE   p.idpog = v.idpog AND p.dan >= REPORT_SQL.DATE1 AND p.dan
<= v.dan)
            AS twrzadnjiobracun
  FROM   v_dnevnadonosnost_probanka v, pog p
 WHERE   v.sfdjv = 'U' AND v.dan = date2 AND p.idpog = v.idpog
AND p.idpog = num1)
where computer={?Computer};